cpw.mods.fml.common

## Class FMLDummyContainer

- java.lang.Object
- - cpw.mods.fml.common.DummyModContainer
  - - cpw.mods.fml.common.FMLDummyContainer

- All Implemented Interfaces:
    ModContainer, WorldAccessContainer

      public class FMLDummyContainer
      extends DummyModContainer
      implements WorldAccessContainer

  Author:
    cpw

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FMLDummyContainer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NBTTagCompound` | `getDataForWriting(SaveHandler handler, WorldInfo info)`
    `Certificate` | `getSigningCertificate()`
    `void` | `readData(SaveHandler handler, WorldInfo info, Map<String,NBTBase> propertyMap, NBTTagCompound tag)`
    `boolean` | `registerBus(com.google.common.eventbus.EventBus bus, LoadController controller)` Register the event bus for the mod and the controller for error handling Returns if this bus was successfully registered - disabled mods and other mods that don't need real events should return false and avoid further processing

    - ### Methods inherited from class cpw.mods.fml.common.DummyModContainer

      `acceptableMinecraftVersionRange, bindMetadata, getDependants, getDependencies, getDisplayVersion, getMetadata, getMod, getModId, getName, getProcessedVersion, getRequirements, getSortingRules, getSource, getVersion, isImmutable, isNetworkMod, matches, setEnabledState`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FMLDummyContainer

          public FMLDummyContainer()

  - ### Method Detail

    - #### registerBus

          public boolean registerBus(com.google.common.eventbus.EventBus bus,
                            LoadController controller)

      Description copied from interface: `ModContainer`
      Register the event bus for the mod and the controller for error handling Returns if this bus was successfully registered - disabled mods and other mods that don't need real events should return false and avoid further processing
      Specified by:
        `registerBus` in interface `ModContainer`
      Overrides:
        `registerBus` in class `DummyModContainer`

    - #### getDataForWriting

          public NBTTagCompound getDataForWriting(SaveHandler handler,
                                         WorldInfo info)

      Specified by:
        `getDataForWriting` in interface `WorldAccessContainer`

    - #### readData

          public void readData(SaveHandler handler,
                      WorldInfo info,
                      Map<String,NBTBase> propertyMap,
                      NBTTagCompound tag)

      Specified by:
        `readData` in interface `WorldAccessContainer`

    - #### getSigningCertificate

          public Certificate getSigningCertificate()

      Specified by:
        `getSigningCertificate` in interface `ModContainer`
      Overrides:
        `getSigningCertificate` in class `DummyModContainer`